<?php
  //include('seguridad.php')
require_once("../../../../dompdf/dompdf_config.inc.php");
require_once "../../../../dompdf/www/functions.inc.php";


require_once '../../../../app/model/db.class.php';
require_once '../../../../app/model/bs_info_col.php';
require_once '../rangos.php';

if (!isset($_SESSION)) { session_start(); }
 
$periodo=$_REQUEST['per'];

$codigo=$_SESSION['cod_alumno'];


function truncateFloat($number, $digitos)
{
    $raiz = 10;
    $multiplicador = pow ($raiz,$digitos);
    $resultado = ((int)($number * $multiplicador)) / $multiplicador;
    return number_format($resultado, $digitos);

}

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".0";
     }


     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}

//-----------------------------------------------

function boletin($codigo,$grado,$curso,$periodo){
  
      $obj = new database();

      $obj->conectar(); 
      $obj->consulta("set names 'utf8'");
      
      $asig=$obj->consulta("SELECT catalogo.codigo, 
                            catalogo.descripcion,
                            curso_asignatura_profesor.intensidad, 
                            profesores.nombres
                            FROM profesores 
                            INNER JOIN (catalogo 
                            INNER JOIN curso_asignatura_profesor 
                            ON catalogo.codigo = curso_asignatura_profesor.asignatura) 
                            ON profesores.cedula = curso_asignatura_profesor.profesor
                            WHERE curso_asignatura_profesor.grado='".$grado."' 
                            AND curso_asignatura_profesor.curso='".$curso."'  
                            ORDER BY catalogo.orden");

     while($row1 = $obj->fetch_assoc($asig)){                      

            $s.="<center>
                 <table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='100%'>
                 <tr>";                     
            $s.="<td width='20%' style='background:#EBE8E8;font-family: verdana,arial,sans-serif;font-weight:bold;font-size:12px' >&nbsp;<i>".($row1['descripcion']);                         
            $s.="&nbsp;&nbsp;<small>I.H :".$row1['intensidad']."<br>&nbsp;DOCENTE :".($row1['nombres'])."</small></i>";                                                      
            $s.="</td>";  
            $s.="</tr>";
                                                                       
            $query_p=$obj->consulta("select detalleboletin_parcial.descripcion 
                          from boletin_parcial 
                          inner join detalleboletin_parcial 
                          on boletin_parcial.numero = detalleboletin_parcial.boletin
                          where boletin_parcial.periodo='".$periodo."' 
                          and boletin_parcial.asignatura='".$row1['codigo']."' 
                          and boletin_parcial.grado='".$grado."' 
                          and boletin_parcial.curso='".$curso."' 
                          and detalleboletin_parcial.alumno='".$codigo."'");

          $row_p= $obj->fetch_assoc($query_p);                         
                                                                                                                                  
          $s.="<tr>
               <td style='font-family: verdana,arial,sans-serif;font-size:12px'>".$row_p['descripcion']."</td>
               </tr>
               </table>
               </center><BR>";                                                
                             
                           
          }

          //-----TITULAR ----- 
                    
          $query1=$obj->consulta("select profesores.nombres as titular from profesores inner join titulares on profesores.cedula = titulares.profesor
                                where titulares.grado='".$grado."' and titulares.curso='".$curso."'");

          $titu = $obj->fetch_assoc($query1);

          $estilo="style='font-weight:bold;font-size: 12px;font-family: verdana,arial,sans-serif;'";

          $s.="<br><table align='center' border='0' width='100%'>";
                   
          $s.="<tr><td width='95%' style='text-align:center;font-weight:bold;font-size: 11px;font-family: verdana,arial,sans-serif;'>".($titu['titular'])."</td><td style='text-align:right;font-size:11px'>".$codigo."</td></tr>";
          $s.="<tr><td colspan='2' style='text-align:center;font-weight:bold;font-size: 10px;font-family: verdana,arial,sans-serif;'>Maestro Consejero</td></tr>";
          $s.="</table>";

          return $s;
      
      $obj->disconnect();

}

//-----------------------------------------

function descript($tabla,$cod,$cod2){
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $rs=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$cod2."';");
    $info=$obj->fetch_assoc($rs);
    return $info['descripcion'];
}

$obj = new database();
$obj->conectar(); $obj->consulta("set names 'utf8'");


//-------------------------- Informacion Colegio
$rs=$obj->consulta("select * from registrar");
$info=$obj->fetch_assoc($rs);

//--------------------------
$rsinfoalumno=$obj->consulta("select * from matriculas where codigo='".$codigo."' and estado='A';");
$infoalumno=$obj->fetch_assoc($rsinfoalumno);

//-------------------------- Informacion Personal Alumno
$rsinfoalumno_per=$obj->consulta("select * from alumnos where codigo='".$infoalumno['codigo']."'");
$infoalumno_per=$obj->fetch_assoc($rsinfoalumno_per);


//--------------------------- Informacion Curso
$rscur=$obj->consulta("select * from cursos where codigo='".$infoalumno['curso']."' and grado='".$infoalumno['grado']."';");
$infocur=$obj->fetch_assoc($rscur);

//--------------------------- Informacion Jornada
$rsjor=$obj->consulta("select * from jornadas where codigo='".$infocur['jornada']."';");
$info_jor=$obj->fetch_assoc($rsjor);

//--------------------------- Informacion Sede
$rssed=$obj->consulta("select * from sedes where codigo='".$infocur['sede']."';");
$info_sede=$obj->fetch_assoc($rssed);


//------- ORDENAR EL BOLETIN --------

if ($periodo!='5'){

    $informacion=boletin($codigo,$infoalumno['grado'],$infoalumno['curso'],$periodo);
      
}else{

     $informacion=boletin_final($codigo,$infoalumno['grado'],$infoalumno['curso'],$periodo);
}

//---------------------------------

$rsper=$obj->consulta("select * from periodos where codigo='".$periodo."';");
$info_per=$obj->fetch_assoc($rsper);

$param=$obj->consulta("select * from parametros");
$ano=$obj->fetch_assoc($param);


$obj->disconnect();
//print_r($info);
$html="
<html>
<head>
<meta http-equiv='Content-Type' content='text/html; charset=utf-8'/>
<meta http-equiv='expires' content='0'>
<meta http-equiv='Cache-Control' content='no-cache'>
<meta http-equiv='Pragma' CONTENT='no-cache'>

<title>Boletin Acad&eacute;mico</title>  
    <style>
  
       .normal {
          width: 670px;
          border: 1px solid #000;
          border-collapse: collapse;
        }
        .normal th, .normal td {
          border: 2px solid #000;
        }
</style>
</head>

<body>

<center>
<table width='100%' border='0'>
<tr>
<td align='center'>
    <img height='130' width='500' src='../../../../imagenes/encabezado_boletin.jpg'/>
</td>

<td align='center' width='20%'>";
   
$nombre_fichero1= "../../../../fotos/".$codigo.".JPG";
$nombre_fichero2= "../../../../fotos/".$codigo.".jpg";
                  
if (file_exists($nombre_fichero1))
    $html.="<img height='100' width='80' src='../../../../fotos/".$codigo.".JPG'/>";

if (file_exists($nombre_fichero2))                  
    $html.="<img height='100' width='80' src='../../../../fotos/".$codigo.".jpg'/>";

$html.="</td>

</tr>
</table>

<font size='2'><b>INFORME PARCIAL A&Ntilde;O LECTIVO ".$ano['anolectivo']."</b></font>
  
</center>

    
    <table width='100%' style='font-size: 12px'  border='1' align='center'>
        <tr style='font-family: verdana,arial,sans-serif;font-size:11px'>
            <td width='75' >C&Oacute;DIGO: &nbsp; <b>".$infoalumno['codigo']."</b></td>

            <td width='330' >NOMBRE ESTUDIANTE: &nbsp; <b>".($infoalumno_per['p_apellido'])." ".($infoalumno_per['s_apellido'])." ".($infoalumno_per['p_nombre'])." ".($infoalumno_per['s_nombre'])."</b></td>

            <td >CALENDARIO: &nbsp; <b>A</b></td>

        </tr>
         <tr style='font-family: verdana,arial,sans-serif;font-size:11px'>
            <td colspan='3' align='center'>
            
                GRADO: &nbsp; <b>".$infocur['descripcion']."</b>
                     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                
                JORNADA: &nbsp; <b>".($info_jor['descripcion'])."</b>

                     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                TRIMESTRE : <b>".$info_per['descripcion']."</b></td>
       </tr>
    </table>
    </center>

 ".$informacion."



</body>
</html>";

//echo $html;

$dompdf = new DOMPDF();     
$dompdf->load_html($html);
$dompdf->set_paper('a4', 'portrait');
//$dompdf->set_paper('letter','landscape');
$dompdf->render();

$dompdf->stream("boletin.pdf", array("Attachment" => false));
  
?>